@import "description.scss";

.settlement {
  width: 100%;
  background-color: #fff;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  max-width: 940px;
  margin: 0 auto;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 34px;
  text-align: left;
  color: $color-text-main;

  p {
    margin-block-start: 0;
    margin-block-end: 0;
  }

  @include desktop-small {
    width: 840px;
  }

  @include tablet {
    width: 670px;
  }

  @include mobile {
    max-width: 100%;
    width: 100%;
  }
}

.container {
  display: flex;
  flex-direction: column;
  width: 100%;
  margin-bottom: 100px;

  @include desktop-small {
    margin-bottom: 80px;
  }

  @include tablet {
    margin-bottom: 60px;
  }

  @include mobile {
    flex-direction: column;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 40px;
  }
}

.steps {
  display: flex;
  width: 100%;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;

  @include desktop-small {
    padding: 0 23.5px;
  }

  @include tablet {
    padding: 0;
    height: 100%;
  }

  @include mobile {
    flex-direction: column;
    padding: 0;
    height: 100%;
  }
}

.step_count {
  display: flex;
  justify-content: center;
  width: 48px;
  height: 48px;
  border: 2px solid $color-red;
  border-radius: 50%;
  font-style: normal;
  font-weight: normal;
  text-align: center;
  align-items: center;
  align-self: center;
  font-size: 22px;
  line-height: 30px;
  color: $color-red;
  margin-bottom: 30px;

  @include tablet {
    margin-bottom: 20px;
  }

  @include mobile {
    align-self: center;
    margin-bottom: 0;
    margin-right: 20px;
    width: 35px;
    height: 35px;
    font-size: 18px;
    line-height: 25px;
    font-weight: 600;
    border: 1px solid $color-red;
  }
}

.popup__content {
  &__header {
    display: flex;
    @include mobile {
      margin-bottom: 30px;
    }
  }

  &__title {
    @include medium_description;
    margin-left: 30px;
    @include mobile {
      margin-left: 0;
    }
  }

  &__text {
    @include d_big_text;
    & + & {
      margin-top: 20px;
    }
  }

  &__list {
    &_item {
      margin-left: 36px;
      position: relative;
      &::before {
        position: absolute;
        content: "";
        background-image: url("/next-public-fast/checkmark.svg");
        background-repeat: no-repeat;
        background-size: contain;
        width: 16px;
        height: 12.31px;
        left: -36px;
        top: 8px;
      }

      & + & {
        margin-top: 10px;
      }
    }
  }
}

.link {
  &__title {
    @include d_big_text;
    font-weight: 600;
    color: $color-red;
    cursor: pointer;

    &:hover {
      color: $color-red-hover;
    }

    &:active {
      color: $color-red-active;
    }

    @include tablet {
      @include a_mobile;
    }
  }
}
